<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        DB::statement("ALTER TABLE vendors MODIFY COLUMN vendor_type ENUM('service_provider', 'food_vendor', 'ride_provider', 'delivery_personnel') NULL");
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        DB::statement("ALTER TABLE vendors MODIFY COLUMN vendor_type VARCHAR(255) NULL");
    }
};
